# tbb::flow::interface6::buffer_node< T, A >::buffer_operation Class Reference

List of all members.

## Public Member Functions

| buffer_operation (const T &e, op_type t)
| buffer_operation (op_type t)

## Public Attributes

char | type
T * | elem
task * | ltask
successor_type * | r

### template<typename T, typename A = cache_aligned_allocator<T>>
class tbb::flow::interface6::buffer_node< T, A >::buffer_operation

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2012 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.